* {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
  scroll-behavior: smooth;
}

@font-face {
  font-family: 'Merriweather';
  src: url('../assets/fonts/Merriweather.woff2') format('woff2'),
    url('../assets/fonts/Merriweather.ttf') format('truetype'),
    url('../assets/fonts/Merriweather.eot') format('eot');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'Golos Text';
  src: url('../assets/fonts/GolosText-Regular.woff2') format('woff2'),
    url('../assets/fonts/GolosText-Regular.ttf') format('truetype'),
    url('../assets/fonts/GolosText-Regular.eot') format('eot');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'Golos Text';
  src: url('../assets/fonts/GolosText-Medium.woff2') format('woff2'),
    url('../assets/fonts/GolosText-Medium.ttf') format('truetype'),
    url('../assets/fonts/GolosText-Medium.eot') format('eot');
  font-weight: 500;
  font-style: normal;
}

.header {
  width: 100%;
  min-height: 700px;
  background-color: #e9ded4;
  background-image: url('../assets/images/back_header_image.png');
  background-position: center -8rem;
  background-repeat: no-repeat;
}

.header__container {
  max-width: 1222px;
  width: calc(100% - 9rem);
  margin: 0 auto;
}

.header__content {
  max-width: 542px;
  width: 100%;
}

.header__logo {
  width: 245.17px;
  height: 36px;
  margin-top: 1.625rem;
}

.header__title {
  margin: 3.875rem 0 0;
  font-size: clamp(
    2.25rem,
    calc(2.25rem + 1.5rem * ((100vw - 23.4375rem) / 61.9375rem)),
    3.75rem
  );
  color: #313131;
  text-transform: uppercase;
  font-family: Merriweather;
  line-height: 4.125rem;
}

.header__title span {
  display: block;
}

.header__title-left {
  text-align: left;
}

.header__title-center {
  text-align: center;
}

.header__title-right {
  margin-left: 30px;
}

.header__text {
  color: #313131;
  font-family: 'Golos Text';
  font-size: 1.125rem;
  font-weight: 400;
  text-align: center;
  margin: 1.5rem 0 2.5rem;
}

.header__buttons-group {
  display: flex;
  gap: 0 1rem;
}

.header__button {
  display: flex;
  align-items: center;
  text-align: center;
  max-width: 263px;
  width: 100%;
  height: 72px;
  padding: 1.25rem 3.06rem;
  border-radius: 4.125rem;
  font-family: 'Golos Text';
  font-size: 1rem;
  font-weight: 500;
  line-height: 1.3rem;
  cursor: pointer;
  box-sizing: border-box;
  text-decoration: none;
}

.header__button_primary {
  background: #1f1f1f;
  color: #fff;
}

.header__button_primary:hover {
  background: #fbce51;
  color: #1f1f1f;
  border: 1px solid #fbce51;
}

.header__button_secondary {
  color: #1f1f1f;
  background-color: transparent;
  border: 2px solid #1f1f1f;
}

.header__button_secondary:hover {
  background: #1f1f1f;
  color: #fff;
}

/* Running line styles */

.running-line {
  width: 100%;
  height: 3.75rem;
  padding: 1.125rem 0.75rem;
  display: flex;
  align-items: center;
  gap: 0.75rem;
  overflow: hidden;
  background-color: #f54932;
  color: #fff;
  white-space: nowrap;
}

.running-line__track {
  display: flex;
  align-items: center;
  gap: 0 0.75rem;
  animation: running-line 20s linear infinite;
}

.running-line__track span {
  font-family: 'Merriweather', serif;
  font-size: clamp(1rem, 0.858rem + 0.606vw, 1.375rem);
  font-style: normal;
  font-weight: 400;
  line-height: clamp(1.1rem, 0.944rem + 0.667vw, 1.5125rem);
  text-transform: uppercase;
  white-space: nowrap;
}

.running-line__track span::after {
  content: '';
  display: inline-block;
  vertical-align: middle;
  width: 0.375rem;
  height: 0.375rem;
  border-radius: 50%;
  background-color: #fff;
  margin-left: 0.75rem;
}

@keyframes running-line {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-50%);
  }
}

/* Support styles */

.support {
  background-color: #fff;
}

.support__container {
  max-width: 1222px;
  width: calc(100% - 9rem);
  margin: 5rem auto 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 0 clamp(1.5rem, -2.034rem + 7.067vw, 4rem);
}

.support__title {
  min-width: 0;
  flex: 1 1 auto;
  margin: 0;
  color: #313131;
  font-family: Merriweather;
  font-weight: 400;
  line-height: 3.0375rem;
  font-size: clamp(1.75rem, calc(1.5606rem + 0.808vw), 2.25rem);
  text-transform: uppercase;
}

.support__title-part {
  display: inline;
}

.support__title-accent {
  color: #f54932;
}

.support__image {
  flex: 0 0 clamp(20.9375rem, 19.542rem + 5.954vw, 24.625rem);
  min-width: 0;
  max-width: 100%;
  width: clamp(20.9375rem, 19.542rem + 5.954vw, 24.625rem);
  height: auto;
  object-fit: cover;
}

/* Session Styles  */

.session {
  background-color: #fff;
}

.session__container {
  max-width: 1222px;
  width: calc(100% - 9rem);
  margin: 4rem auto 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 0 clamp(1.5rem, 1.022rem + 2.038vw, 2.75rem);
}

.session__image-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  flex: 0 1 clamp(20.9375rem, 17.625rem + 14.133vw, 29.625rem);
}

.session__image {
  min-width: 0;
  width: clamp(20.9375rem, 17.625rem + 14.133vw, 29.625rem);
  max-width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
}

.session__content {
  flex: 1 1 0;
  max-width: 704px;
}

.session__title {
  color: #313131;
  font-family: 'Merriweather', serif;
  font-size: clamp(1.75rem, calc(1.5596rem + 0.8122vw), 2.25rem);
  line-height: 135%;
  font-weight: 700;
  text-transform: uppercase;
  margin: 0 0 3.75rem;
}

.session__title-accent {
  color: #f54932;
}

.session__info {
  width: 100%;
  border-collapse: collapse;
  table-layout: fixed;
}

.session__row {
  color: #313131;
  font-family: 'Golos Text';
  font-size: 1.25rem;
  line-height: 1.5rem;
  border-bottom: 2px solid #d0d0d0;
  max-width: 704px;
  width: 100%;
}

.session__row:last-child {
  border-bottom: 0;
}

.session__value {
  font-weight: 600;
  padding: 1rem 0 1rem 1rem;
}

.session__term {
  opacity: 0.7;
  font-weight: 400;
  text-align: left;
  border-right: 2px solid #d0d0d0;
  padding: 1rem 1rem 1rem 0;
}

.session__term-column {
  width: clamp(10.75rem, calc(0.002rem + 22.4vw), 19.125rem);
}

.session__value-column {
  width: clamp(10.1875rem, calc(-8.672rem + 39.34vw), 24.875rem);
}

.session__crossed-price {
  position: relative;
  margin-right: 0.75rem;
}

.session__crossed-price::after {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  top: 50%;
  height: 2px;
  background-color: #f54932;
}

.session__note {
  margin: 3rem 0 0;
  font-family: 'Golos Text', sans-serif;
  color: #3057a2;
  font-size: clamp(1.125rem, calc(1.077699rem + 0.201816vw), 1.25rem);
  font-weight: 400;
  line-height: 1.5rem;
}

/* Stages Styles */

.stages {
  background: #fff;
}

.stages__container {
  max-width: 1222px;
  width: calc(100% - 9rem);
  margin: 12.5rem auto 0;
  display: flex;
  flex-direction: column;
  gap: 20px;
  position: relative;
}

.stages__heading {
  display: flex;
  align-items: flex-end;
  gap: 20px;
}

.stages__title {
  color: #313131;
  font-family: Merriweather;
  font-size: clamp(2.25rem, calc(1.824rem + 1.817vw), 3.375rem);
  font-weight: 400;
  line-height: 4.05rem;
  text-transform: uppercase;
  margin: 0;
  max-width: 50.375rem;
  width: 100%;
}

.stages__subtitle {
  display: inline-block;
  color: #3057a2;
  font-family: 'Golos Text';
  font-size: clamp(1.125rem, calc(1.0776rem + 0.202vw), 1.25rem);
  font-weight: 400;
  line-height: 1.5rem;
  text-transform: none;
  margin-left: 10px;
}

.stages__subtitle-line {
  display: block;
}

.stages__slider {
  margin-top: 3.375rem;
}

.stages__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
}

.stages__slide {
  display: contents;
}

.stages__card {
  min-height: 112px;
  display: flex;
  align-items: flex-start;
  gap: 1rem;
  padding: 20px;
  background-color: #f0e3cd;
}

.stages__slide:nth-child(1) .stages__card:nth-child(1) {
  grid-column: 1;
  grid-row: 1;
}

.stages__slide:nth-child(1) .stages__card:nth-child(2) {
  grid-column: 2;
  grid-row: 1;
}

.stages__slide:nth-child(2) .stages__card {
  grid-column: 3;
  grid-row: 1 / span 2;
  min-height: 244px;
}

.stages__slide:nth-child(3) .stages__card:nth-child(1) {
  grid-column: 1;
  grid-row: 2;
}

.stages__slide:nth-child(3) .stages__card:nth-child(1) {
  grid-column: 2;
  grid-row: 2;
}

.stages__slide:nth-child(4) .stages__card {
  grid-column: 1;
  grid-row: 3;
}

.stages__slide:nth-child(5) .stages__card {
  grid-column: 2 / span 2;
  grid-row: 3;
  padding-right: clamp(
    18.9296875rem,
    calc(
      clamp(19.921875rem, calc(18.55276rem + 5.84157vw), 23.54rem) * 0.9 + 1rem
    ),
    22.186rem
  );
}

.stages__slide:nth-child(5) .stages__text {
  flex: 0 1 auto;
  width: clamp(
    15.1875rem,
    calc(15.1875rem + 13.9375rem * ((100vw - 23.4375rem) / 61.9375rem)),
    29.125rem
  );
}

.stages__plane-image {
  position: absolute;
  right: 0;
  bottom: 0;
  top: 65%;
  transform: translate(12%, -20%);
  width: clamp(19.921875rem, calc(18.55276rem + 5.84157vw), 23.54rem);
  height: auto;
  animation: plane-float-animation-desktop 3s ease-in-out infinite;
}

.stages__number {
  display: flex;
  align-items: center;
  width: 36px;
  height: 36px;
  border-radius: 50%;
  padding: 12px;
  text-align: center;
  background-color: #fff;
  color: #313131;
  font-family: 'Golos Text';
  font-size: 1.25rem;
  font-weight: 600;
  line-height: 1.5rem;
}

.stages__text {
  color: #313131;
  font-family: 'Golos Text';
  font-size: clamp(1.125rem, calc(1.0776rem + 0.202vw), 1.25rem);
  font-weight: 500;
  line-height: 1.5rem;
  margin: 0;
}

.stages__controls {
  display: none;
}

.stages__button {
  width: 2.25rem;
  height: 2.25rem;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border: 0;
  border-radius: 50%;
  background-color: #313131;
  color: #fff;
  cursor: pointer;
  padding: 0;
}

.stages__button img {
  width: 0.825rem;
  height: 1rem;
  display: block;
}

.stages__button:hover {
  background-color: #fbce51;
}

.stages__button:disabled {
  background-color: #d6d6d6;
  cursor: not-allowed;
  pointer-event: none;
}

.stages__button-prev img {
  transform: translateX(-0.0625rem) rotate(180deg);
}

.stages__button-next img {
  transform: translateX(0.0625rem);
}

.stages__dot {
  width: 0.625rem;
  height: 0.625rem;
  display: inline-block;
  border-radius: 50%;
  background-color: #d9d9d9;
}

.stages__dot.is-active {
  background-color: #313131;
}

/* Participants Slider Styles */

.participants {
  background: #fff;
}

.participants__container {
  max-width: 1222px;
  width: calc(100% - 9rem);
  margin: 12.5rem auto 8.75rem;
  display: flex;
  flex-direction: column;
}

.participants__header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.participants__title {
  color: #313131;
  font-family: Merriweather;
  font-size: clamp(2.25rem, calc(1.824rem + 1.817vw), 3.375rem);
  font-weight: 400;
  line-height: 4.05rem;
  text-transform: uppercase;
  margin: 0;
}

.participants__controls {
  display: flex;
  align-items: center;
  gap: 0 0.87rem;
}

.participants__button {
  width: 2.75rem;
  height: 2.75rem;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border: 0;
  border-radius: 50%;
  background-color: #313131;
  color: #fff;
  cursor: pointer;
  padding: 0;
}

.participants__button:hover {
  background-color: #fbce51;
}

.participants__button img {
  width: 1.05769rem;
  height: 1rem;
  display: block;
}

.participants__button-prev img {
  transform: translateX(-0.0625rem) rotate(180deg);
}

.participants__button-next img {
  transform: translateX(0.0625rem);
}

.participants__counter {
  color: #313131;
  font-family: 'Golos Text';
  font-size: 1rem;
  font-style: normal;
  font-weight: 400;
  line-height: 1.2rem;
  white-space: nowrap;
}

.participants__counter-current {
  color: #313131;
}

.participants__counter-total {
  color: #313131;
  opacity: 0.6;
}

.participants__slider {
  margin-top: 3.75rem;
  overflow: hidden;
}

.participants__list {
  display: flex;
  gap: 1.25rem;
}

.stages__list,
.participants__list {
  transition: transform 0.6s ease;
}

.participants__slide {
  flex: 0 0 calc((100% - 2.5rem) / 3);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.participants__image {
  width: clamp(15.25rem, calc(13.45rem + 7.68vw), 20rem);
  height: clamp(15.25rem, calc(13.45rem + 7.68vw), 20rem);
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.participants__name {
  color: #313131;
  font-family: 'Golos Text';
  font-size: 1.5rem;
  font-weight: 600;
  line-height: 1.8rem;
  margin-top: 1.75rem;
  margin-bottom: 0.375rem;
}

.participants__role {
  color: #313131;
  font-family: 'Golos Text';
  font-size: 1.25rem;
  font-weight: 400;
  line-height: 1.5rem;
  opacity: 0.6;
  margin-top: 0;
  margin-bottom: 1.25rem;
}

.participants__link {
  color: #3057a2;
  font-family: 'Golos Text';
  font-size: 1rem;
  font-weight: 500;
  line-height: 1.2rem;
  text-decoration: none;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding: 0.75rem;
  gap: 0.625rem;
  border-radius: 3.875rem;
  border: 1px solid #3057a2;
}

.participants__link:hover {
  background-color: #3057a2;
  color: #fff;
}

/* Footer Styles  */

.footer {
  background: #e9ded4;
}

.footer__container {
  max-width: 1222px;
  width: calc(100% - 9rem);
  margin: 0 auto;
  padding: 2.5rem 0 4.5rem;
}

.footer__text {
  color: #313131;
  opacity: 0.6;
  font-family: 'Golos Text';
  font-size: 1rem;
  font-style: normal;
  font-weight: 400;
  line-height: 1.2rem;
}

@media (max-width: 1024px) {
  .stages__list {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .stages__slide:nth-child(1) .stages__card:nth-child(1) {
    grid-column: 1;
    grid-row: 1;
  }

  .stages__slide:nth-child(1) .stages__card:nth-child(2) {
    grid-column: 2;
    grid-row: 1;
  }

  .stages__slide:nth-child(2) .stages__card {
    grid-column: 1 / span 2;
    grid-row: 2;
    min-height: 0;
  }

  .stages__slide:nth-child(3) .stages__card:nth-child(1) {
    grid-column: 1;
    grid-row: 3;
  }

  .stages__slide:nth-child(3) .stages__card:nth-child(2) {
    grid-column: 2;
    grid-row: 3;
  }

  .stages__slide:nth-child(4) .stages__card {
    grid-column: 1 / span 2;
    grid-row: 4;
  }

  .stages__slide:nth-child(5) .stages__card {
    grid-column: 1 / span 2;
    grid-row: 5;
    padding-right: clamp(12rem, calc(7.471rem + 7.075vw), 15rem);
  }

  .stages__slide:nth-child(5) .stages__text {
    width: min(100%, clamp(15.1875rem, calc(9.912rem + 22.51vw), 29.125rem));
  }

  .stages__plane-image {
    transform: translate(12%, -25%);
    top: unset;
  }
}

@media (max-width: 767px) {
  .header {
    position: relative;
    min-height: 750px;
    background-image: none;
    overflow: hidden;
  }

  .header::after {
    content: '';
    position: absolute;
    left: 50%;
    bottom: -2.3rem;
    width: clamp(
      90rem,
      calc(90rem + 10rem * ((100vw - 23.4375rem) / 24.5rem)),
      100rem
    );
    aspect-ratio: 1920 / 881;
    background: url('../assets/images/back_header_image.png') 66% 100% / 100%
      100% no-repeat;
    transform: translateX(-60%);
    pointer-events: none;
    z-index: 0;
  }

  .header__container {
    width: calc(100% - 2.5rem);
    position: relative;
    z-index: 1;
  }

  .header__content {
    margin-left: auto;
    margin-right: auto;
  }

  .header__logo {
    margin-top: 1.125rem;
  }

  .header__title {
    line-height: 2.475rem;
    margin-top: 2.5rem;
  }

  .header__title-center {
    margin-left: 3.95rem;
    text-align: unset;
  }

  .header__title-right {
    margin-left: 20px;
  }

  .header__text {
    margin-bottom: 2rem;
    text-align: left;
  }

  .header__buttons-group {
    flex-direction: column;
    gap: 14px 0;
  }

  .header__button {
    max-width: none;
    justify-content: center;
  }

  .header__button_secondary {
    opacity: 0.9;
    background: #fff;
    border: 1px solid #fff;
  }

  .support__container {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 1.5rem 0;
    width: calc(100% - 2.5rem);
    margin: 3rem auto 0;
  }

  .support__title {
    display: contents;
  }

  .support__title-part {
    display: block;
  }

  .support__title-part:first-child {
    order: 1;
  }

  .support__image {
    flex: none;
    order: 2;
    margin-left: auto;
    margin-right: auto;
  }

  .support__title-part:last-child {
    order: 3;
  }

  .session__container {
    width: calc(100% - 2.5rem);
    margin: 2.125rem auto 0;
    flex-direction: column;
    gap: 1.5rem 0;
  }

  .session__image-wrapper {
    width: 100%;
  }

  .session__title {
    margin-bottom: 2.75rem;
  }

  .session__info,
  .session__info tbody,
  .session__row,
  .session__term,
  .session__value {
    display: block;
    max-width: none;
    width: 100%;
  }

  .session__term {
    border-right: 0;
    padding: 1rem 0 0.75rem;
  }

  .session__value {
    padding: 0 0 1rem;
  }

  .session__note {
    line-height: 1.35rem;
    margin: 2.5rem 0 0;
  }

  .stages__container {
    width: calc(100% - 2.5rem);
    margin: 7.5rem auto 0;
    gap: unset;
  }

  .stages__slider {
    overflow: hidden;
    margin-top: 11.375rem;
  }

  .stages__list {
    display: flex;
    gap: 20px;
    transition: transform 0.3s ease;
  }

  .stages__slide {
    display: grid;
    flex: 0 0 calc((100% - 20px) / 1.5);
    min-height: 18.75rem;
  }

  .stages__slide:nth-child(1) .stages__card:nth-child(1) {
    padding-bottom: unset;
  }

  .stages__slide:nth-child(1) .stages__card:nth-child(2) {
    padding-top: unset;
  }

  .stages__slide:nth-child(3) .stages__card:nth-child(1) {
    padding-bottom: unset;
  }

  .stages__slide:nth-child(3) .stages__card:nth-child(2) {
    padding-top: unset;
  }

  .stages__slide .stages__card {
    grid-column: auto !important;
    grid-row: auto !important;
    align-items: center;
    min-height: 0;
    width: 100% !important;
    padding-right: 20px !important;
  }

  .stages__controls {
    display: flex;
    margin-top: 1.75rem;
  }

  .stages__plane-image {
    top: 50%;
    right: 0;
    left: 25px;
    bottom: auto;
    transform: translate(0, -90%);
    animation-name: plane-float-animation-mobile;
  }

  .stages__title {
    line-height: 2.475rem;
  }

  .stages__subtitle {
    display: block;
    font-size: 1.125rem;
    line-height: 1.35rem;
    margin-left: unset;
    margin-top: 0.75rem;
  }

  .stages__subtitle-line {
    display: inline;
  }

  .stages__text {
    line-height: 1.35rem;
  }

  .stages__controls {
    align-items: center;
    justify-content: center;
    gap: 0 1rem;
  }

  .participants__container {
    width: calc(100% - 2.5rem);
    margin: 7.5rem auto 6.25rem;
    gap: unset;
  }

  .participants__header {
    display: contents;
  }

  .participants__title {
    order: 1;
  }

  .participants__slider {
    order: 2;
  }

  .participants__slide {
    flex: 0 0 calc((100% - 1.25rem) / 1.5);
  }

  .participants__controls {
    order: 3;
    margin-top: 1.75rem;
    justify-content: center;
  }

  .participants__name {
    text-align: center;
  }

  .participants__role {
    text-align: center;
  }

  .participants__button {
    width: 2.25rem;
    height: 2.25rem;
  }

  .footer__container {
    width: calc(100% - 2.5rem);
    margin: 0 auto;
    padding: 2.5rem 0 3.75rem;
  }
}

@media (max-width: 375px) {
  .header {
    background-image: url('../assets/images/back_header_image.png');
    background-size: 215% auto;
    background-position: 80% 106%;
  }

  .header::after {
    content: none;
  }

  .stages__slide {
    flex: 0 0 100%;
  }

  .participants__slide {
    flex: 0 0 100%;
  }

  .stages__plane-image {
    width: 100%;
    left: 0;
    transform: translate(5%, -85%);
    animation-name: plane-float-small-animation-mobile;
  }
}

/* Animations */
@keyframes plane-float-animation-desktop {
  0%,
  100% {
    transform: translate(12%, -20%);
  }

  50% {
    transform: translate(12%, -24%);
  }
}

@keyframes plane-float-animation-mobile {
  0%,
  100% {
    transform: translate(0, -90%);
  }

  50% {
    transform: translate(0, -94%);
  }
}

@keyframes plane-float-small-animation-mobile {
  0%,
  100% {
    transform: translate(5%, -85%);
  }

  50% {
    transform: translate(5%, -89%);
  }
}
